<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'dmitry',

    /*
     * Package.
     */
    'package'   => 'catalog',

    /*
     * Modules.
     */
    'modules'   => ['catalog', 'categories'],


    'catalog'       => [
        'model'             => 'Dmitry\Catalog\Models\Catalog',
        'table'             => 'catalogs',
        'presenter'         => \Dmitry\Catalog\Repositories\Presenter\CatalogItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'title',  'category_id',  'status'],
        'translate'         => ['id',  'title',  'category_id',  'status'],

        'upload-folder'     => '/uploads/catalog/catalog',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'categories'       => [
        'model'             => 'Dmitry\Catalog\Models\Categories',
        'table'             => 'categories',
        'presenter'         => \Dmitry\Catalog\Repositories\Presenter\CategoriesItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'title'],
        'translate'         => ['id',  'title'],

        'upload-folder'     => '/uploads/catalog/categories',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
