<?php

// Admin web routes  for catalog
Route::group(['prefix' => trans_setlocale().'/admin/catalog'], function () {
    Route::resource('catalog', 'Dmitry\Catalog\Http\Controllers\CatalogAdminWebController');
});

// Admin API routes  for catalog
Route::group(['prefix' => trans_setlocale().'api/v1/admin/catalog'], function () {
    Route::resource('catalog', 'Dmitry\Catalog\Http\Controllers\CatalogAdminApiController');
});

// User web routes for catalog
Route::group(['prefix' => trans_setlocale().'/user/catalog'], function () {
    Route::resource('catalog', 'Dmitry\Catalog\Http\Controllers\CatalogUserWebController');
});

// User API routes for catalog
Route::group(['prefix' => trans_setlocale().'api/v1/user/catalog'], function () {
    Route::resource('catalog', 'Dmitry\Catalog\Http\Controllers\CatalogUserApiController');
});

// Public web routes for catalog
Route::group(['prefix' => trans_setlocale().'/catalogs'], function () {
    Route::get('/', 'Dmitry\Catalog\Http\Controllers\CatalogPublicWebController@index');
    Route::get('/{slug?}', 'Dmitry\Catalog\Http\Controllers\CatalogPublicWebController@show');
});

// Public API routes for catalog
Route::group(['prefix' => trans_setlocale().'api/v1/catalogs'], function () {
    Route::get('/', 'Dmitry\Catalog\Http\Controllers\CatalogPublicApiController@index');
    Route::get('/{slug?}', 'Dmitry\Catalog\Http\Controllers\CatalogPublicApiController@show');
});

// Admin web routes  for categories
Route::group(['prefix' => trans_setlocale().'/admin/catalog'], function () {
    Route::resource('categories', 'Dmitry\Catalog\Http\Controllers\CategoriesAdminWebController');
});

// Admin API routes  for categories
Route::group(['prefix' => trans_setlocale().'api/v1/admin/catalog'], function () {
    Route::resource('categories', 'Dmitry\Catalog\Http\Controllers\CategoriesAdminApiController');
});

// User web routes for categories
Route::group(['prefix' => trans_setlocale().'/user/catalog'], function () {
    Route::resource('categories', 'Dmitry\Catalog\Http\Controllers\CategoriesUserWebController');
});

// User API routes for categories
Route::group(['prefix' => trans_setlocale().'api/v1/user/catalog'], function () {
    Route::resource('categories', 'Dmitry\Catalog\Http\Controllers\CategoriesUserApiController');
});

// Public web routes for categories
Route::group(['prefix' => trans_setlocale().'/catalogs'], function () {
    Route::get('/', 'Dmitry\Catalog\Http\Controllers\CategoriesPublicWebController@index');
    Route::get('/{slug?}', 'Dmitry\Catalog\Http\Controllers\CategoriesPublicWebController@show');
});

// Public API routes for categories
Route::group(['prefix' => trans_setlocale().'api/v1/catalogs'], function () {
    Route::get('/', 'Dmitry\Catalog\Http\Controllers\CategoriesPublicApiController@index');
    Route::get('/{slug?}', 'Dmitry\Catalog\Http\Controllers\CategoriesPublicApiController@show');
});

