<?php

namespace Dmitry\Catalog\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Catalog policy
        \Dmitry\Catalog\Models\Catalog::class => \Dmitry\Catalog\Policies\CatalogPolicy::class,// Bind Categories policy
        \Dmitry\Catalog\Models\Categories::class => \Dmitry\Catalog\Policies\CategoriesPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
