<?php

namespace Dmitry\Catalog\Repositories\Eloquent;

use Dmitry\Catalog\Interfaces\CatalogRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CatalogRepository extends BaseRepository implements CatalogRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.catalog.catalog.model');
    }
}
